Package com.usatiuk.objects.transaction

# Interface PreCommitTxHook

All Known Implementing Classes:
  `AutosyncTxHook`, `DeleterTxHook`, `JMapHolderRefcounterTxHook`, `JMapRefcounterTxHook`, `PeerInfoCertUpdateTxHook`, `RefcounterTxHook`, `RemoteObjPusherTxHook`

public interface PreCommitTxHook

## Method Summary

Modifier and Type
Method
Description
`default int`
`getPriority()`
`default void`
`onChange(JObjectKey key, JData old, JData cur)`
`default void`
`onCreate(JObjectKey key, JData cur)`
`default void`
`onDelete(JObjectKey key, JData cur)`

## Method Details

### onChange

default void onChange(JObjectKey key, JData old, JData cur)

### onCreate

default void onCreate(JObjectKey key, JData cur)

### onDelete

default void onDelete(JObjectKey key, JData cur)

### getPriority

default int getPriority()